# coding=utf-8
from mod.common.mod import Mod
import mod.server.extraServiceApi as serviceApi

from soldierLotteryScripts.consts import ModName, ModVersion, ServiceSystemName, ServiceSystemClsPath


@Mod.Binding(name=ModName, version=ModVersion)
class SoldierLotteryService(object):
    @Mod.InitService()
    def InitService(self):
        serviceApi.RegisterSystem(ModName, ServiceSystemName, ServiceSystemClsPath)
        print "SoldierLotteryService启动"

    @Mod.DestroyService()
    def DestroyService(self):
        print "SoldierLotteryService卸载"
